Subject: Re: bug#2806: characters from unicode-sip coderange still not displaying properly

From: Christian Wittern <[email-masked]>
Date: Tue, 26 Jan 2010 13:31:19 +0900

Thank you Handa-san.  Shortly after sending this message, I found out 
that Yamamoto Mitsuharu-san in Chiba has a patch [1] that provides the 
functionality I needed.  I succeeded in applying this patch and have 
used the resulting Emacs.app for about a month now without any 
problems.  It would surely be great if that patch could be incorporated 
into the Emacs source.
All the best,  Christian

[1] ftp://ftp.math.s.chiba-u.ac.jp/emacs/emacs-23.1.90-mac-1.95.tar.gz

On 2009-12-15 14:56, Kenichi Handa wrote:
> In article<[email-masked]>, Christian Wittern<[email-masked]>  writes:
>
>    
>> I just confirmed with the released version 23.1 that this problem is
>> still existing.  It is very disappointing and keeps all Mac users I
>> know from upgrading to the otherwise wonderful release 23.  Is there
>> anything I can do to help getting this issue fixed?
>>      
> Emacs supports unicode-sip displaying at least on Unix/Linux
> where we can use fontconfig and freetype.  See the attached
> image (result of M-x list-charset-chars RET unicode-sip
> RET).  Emacs asks a font-backend to get a font whose
> registry is "unicode-sip", and fontconfig backend searches
> for fonts that support at least U+20000 for such a request.
>
> Perhaps, Mac's font-backend is not doing that.
>
>    
>
>
>
> ---
> Kenichi Handa
> [email-masked]
>    

-- 
  Christian Wittern
  Institute for Research in Humanities, Kyoto University
  47 Higashiogura-cho, Kitashirakawa, Sakyo-ku, Kyoto 606-8265, JAPAN